package com.sooka.system.service.impl;

import java.util.List;

import com.sooka.common.annotation.DataSource;
import com.sooka.common.core.text.Convert;
import com.sooka.common.enums.DataSourceType;
import com.sooka.framework.util.ShiroUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.sooka.system.mapper.TgjjHmdxxMapper;
import com.sooka.system.domain.TgjjHmdxx;
import com.sooka.system.service.ITgjjHmdxxService;

/**
 * 黑名单信息Service业务层处理
 *
 * @author lei
 * @date 2021-11-16
 */
@Service

public class TgjjHmdxxServiceImpl extends Guiji_Base_Service implements ITgjjHmdxxService
{
    @Autowired
    private TgjjHmdxxMapper tgjjHmdxxMapper;

    /**
     * 查询黑名单信息
     *
     * @param ID 黑名单信息ID
     * @return 黑名单信息
     */
    @Override
    public TgjjHmdxx selectTgjjHmdxxById(Long ID)
    {
        return tgjjHmdxxMapper.selectTgjjHmdxxById(ID);
    }

    /**
     * 查询黑名单信息列表
     *
     * @param tgjjHmdxx 黑名单信息
     * @return 黑名单信息
     */
    @Override
    public List<TgjjHmdxx> selectTgjjHmdxxList(TgjjHmdxx tgjjHmdxx)
    {
        List ls = tgjjHmdxxMapper.selectTgjjHmdxxList(tgjjHmdxx);
        tgjjHmdxx.setInterfaceinfoId("3cc86e76-a980-483a-87f1-4b11dda132b8");
        tgjjHmdxx.setInterfaceinfoName("共享-市公积金-黑名单信息");
        tgjjHmdxx.setInterfacetype("platform_interfacetype_1");
        Long deptId = ShiroUtils.getSysUser().getDept().getDeptId();
        String deptName = ShiroUtils.getSysUser().getDept().getDeptName();
        tgjjHmdxx.setDeptId(deptId);
        tgjjHmdxx.setDeptName(deptName);
        add_log(tgjjHmdxx);
        return ls;
    }

    /**
     * 新增黑名单信息
     *
     * @param tgjjHmdxx 黑名单信息
     * @return 结果
     */
    @Override
    public int insertTgjjHmdxx(TgjjHmdxx tgjjHmdxx)
    {
        return tgjjHmdxxMapper.insertTgjjHmdxx(tgjjHmdxx);
    }

    /**
     * 修改黑名单信息
     *
     * @param tgjjHmdxx 黑名单信息
     * @return 结果
     */
    @Override
    public int updateTgjjHmdxx(TgjjHmdxx tgjjHmdxx)
    {
        return tgjjHmdxxMapper.updateTgjjHmdxx(tgjjHmdxx);
    }

    /**
     * 删除黑名单信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteTgjjHmdxxByIds(String ids)
    {
        return tgjjHmdxxMapper.deleteTgjjHmdxxByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除黑名单信息信息
     *
     * @param ID 黑名单信息ID
     * @return 结果
     */
    @Override
    public int deleteTgjjHmdxxById(Long ID)
    {
        return tgjjHmdxxMapper.deleteTgjjHmdxxById(ID);
    }
}
